Skip to content

Get permission group details

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get permission group details through the permission group unique identifier (Code).

Method name

ManagementClient.getNamespace

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
codestringYes-Permission group unique identifiermy-namespace

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.getNamespace({
    code: "my-namespace",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: NamespaceRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a NamespaceDtoPermission group details

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "code": "my-namespace",
    "name": "My permission group",
    "description": "My permission group description"
  }
}

Data structure

NamespaceDto

NameTypeIs it requiredDescriptionSample value
codestringyespermission group unique identifiermy-namespace
namestringnopermission group namemy permission group
descriptionstringnopermission group descriptionmy permission group description

Agent infrastructure for identity, memory, and web action.